CREATE TABLE IF NOT EXISTS `fop2users` (
  `id` int(11) NOT NULL auto_increment,
  `context_id` int(11) NOT NULL,
  `exten` varchar(20) NOT NULL,
  `secret` varchar(20) NOT NULL,
  `permissions` varchar(200) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `extctx` (`exten`,`context_id`)
);

CREATE TABLE IF NOT EXISTS `fop2groups` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) DEFAULT CHARSET=UTF8;

CREATE TABLE IF NOT EXISTS `fop2buttons` (
  `id` int(11) NOT NULL auto_increment,
  `type` varchar(40) NOT NULL,
  `device` varchar(100) NOT NULL,
  `privacy` varchar(30) default NULL,
  `label` varchar(100) default NULL,
  `group` varchar(60) NOT NULL default '',
  `exten` varchar(30) default NULL,
  `email` varchar(100) NOT NULL default '',
  `context` varchar(100) default NULL,
  `mailbox` varchar(100) default NULL,
  `channel` varchar(200) default '',
  `queuechannel` varchar(200) default '',
  `originatechannel` varchar(200) default '',
  `customastdb` varchar(50) default '',
  `spyoptions` varchar(100) default '',
  `external` varchar(100) default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `devname` (`device`)
);

CREATE TABLE IF NOT EXISTS `fop2GroupButton` (
  `id` int(11) NOT NULL auto_increment,
  `group_name` varchar(50) default NULL,
  `id_button` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=UTF8;

CREATE TABLE IF NOT EXISTS `fop2UserGroup` (
  `id` int(11) NOT NULL auto_increment,
  `exten` varchar(20) NOT NULL,
  `id_group` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `uni` (`exten`,`id_group`)
) DEFAULT CHARSET=UTF8;

