<?php /* $Id */
//Copyright (C) 2009 Nicolas Gudino <asternic@gmail.com>
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of version 2 the GNU General Public
//License as published by the Free Software Foundation.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.


$action = isset($_REQUEST['action'])?$_REQUEST['action']:'';
$itemid = isset($_REQUEST['itemid'])?$_REQUEST['itemid']:'';
$dispnum = "fop2buttons"; 

$tabindex=0;

//if submitting form, update database
switch ($action) {
    case "edit":
        $result = fop2_buttonsedit($_POST);
        needreload();
//        redirect_standard();
        break;
    case "refresh":
        $result = fop2_buttonsrefresh($_POST);
        needreload();
        break;
}

$botonesdefinidos = fop2_list_botones();
$buttons          = fop2_list_buttons();

?>
</div>
<div class="content">
    <h2><?php echo _("Edit button options"); ?></h2>
    <form autocomplete="off" name="edit" action="<?php $_SERVER['PHP_SELF'] ?>" method="post" onsubmit="return edit_onsubmit();">
    <input type="hidden" name="type"     value="tool">
    <input type="hidden" name="display"  value="<?php echo $dispnum?>">
    <input type="hidden" name="action"   value="edit">
    <input type="hidden" name="deptname" value="<?php echo $_SESSION["AMP_user"]->_deptname ?>">
    <table>
    <tr>
        <td colspan="9"><br/><p><?php echo _("You can change button labels (overriding FreePBX label) and privacy options (to prevent the button to be monitored and/or hide the callerid)");?></p></td>
    </tr>
    <tr>
        <td><a href='#' class='info'><?php echo _("Extension"); ?><span><?php echo _("Extension for this button"); ?></span></a></td>
        <td><a href='#' class='info'><?php echo _("Label"); ?><span><?php echo _("You can change the button label to be displayed on FOP2 panel."); ?></span></a></td>
        <td><a href='#' class='info'><?php echo _("Privacy"); ?><span><?php echo _("This option can be used to disable monitoring or clid display on the button."); ?></span></a></td>
        <td><a href='#' class='info'><?php echo _("Email"); ?><span><?php echo _("You can set an email for every button to enable the option to email the user directly from the FOP2 panel."); ?></span></a></td>
        <td><a href='#' class='info'><?php echo _("Group"); ?><span><?php echo _("You can group extensions visually on FOP2 page. If no group is specified all the extensions are going to be displayed on the Extensions box. If you type another name, a new box will be added with the name you choose. Any buttons with the same group name will be displayed on that box."); ?></span></a></td>
        <td><a href='#' class='info'><?php echo _("Channel"); ?><span><?php echo _("Extra Channel. You can use it to add extra channels to affect the status of this button."); ?></span></a></td>
        <td><a href='#' class='info'><?php echo _("Queue Channel"); ?><span><?php echo _("Channel to use as queue member when adding/removing/pausing this button into a queue."); ?></span></a></td>
        <td><a href='#' class='info'><?php echo _("Originate Channel"); ?><span><?php echo _("Channel to use as originator when performing a dial from FOP2. You can use a Local type channel and use sip headers for setting the phone to auto answer."); ?></span></a></td>
        <td><a href='#' class='info'><?php echo _("Custom ASTDB"); ?><span><?php echo _("ASTDB key to search for custom states. Default configuration is for displaying Call Forward Uncoditional states."); ?></span></a></td>
        <td><a href='#' class='info'><?php echo _("ChanSpy Options"); ?><span><?php echo _("Options to pass to chanspy. Can be used to restrict spying to certain groups (option g, SPYGROUP) or silence the beep (option q). Example: qg(SALES)"); ?></span></a></td>
        <td><a href='#' class='info'><?php echo _("External Transfer"); ?><span><?php echo _("number@context for external/mobile transfers. If @context is ommited it will use the default one for the extension."); ?></span></a></td>
    </tr>

<?php

$fopbutton = fop2_all_freepbx_buttons();

$buttypes = array('extensions','queues','conferences','trunks','parks');

$privacyoptions = Array("none","all","clid","monitor");

foreach ($buttypes as $tipo) {
    if($tipo=="extensions") {
        $key="core";
    } else {
        $key=$tipo;
    }

    if($key<>"trunks") {
        $catname = sprintf("%s",isset($active_modules[$key]['name'])?$active_modules[$key]['name']:ucwords($key));
    } else {
        $catname='';
    }
    if($catname=="") $catname=ucfirst($tipo);
    if($catname=="Core") $catname="Extensions";

    $tipocorto = substr($tipo,0,-1);
    echo "<tr width='100%'><td colspan=\"9\"><br /><strong>"._($catname)."</strong></td></tr>";

    foreach ($fopbutton as $devname => $datarray) {

        if($datarray['type']==$tipo) {

            echo "<tr>";
            echo "<td>".($datarray['exten']==-1?'n/a':$datarray['exten'])."</td>";
            echo "<td><input type=text name='name_".$datarray['devid']."' value=\"".$datarray['name']."\"></td>";
            echo "<td>";
            if($key=="core" || $key=='trunks') {
                echo "<select name='privacy_".$datarray['devid']."'>";
                foreach($privacyoptions as $valor) {
                    echo "<option value='$valor' ";
                    if($datarray['privacy']==$valor) echo " selected ";
                    echo ">$valor</option>\n";
                }
                echo"</select>";
            } else {
                echo "&nbsp;";
            }
            echo "</td>";
            if($key=="core") {
                echo "<td><input type=text name='email_".$datarray['devid']."' value='".$datarray['email']."'></td>";
                echo "<td><input type=text name='group_".$datarray['devid']."' value='".$datarray['group']."'></td>";
                echo "<td><input type=text name='channel_".$datarray['devid']."' value='".$datarray['channel']."'></td>";
                echo "<td><input type=text name='queuechannel_".$datarray['devid']."' value='".$datarray['queuechannel']."'></td>";
                echo "<td><input type=text name='originatechannel_".$datarray['devid']."' value='".$datarray['originatechannel']."'></td>";
                echo "<td><input type=text name='customastdb_".$datarray['devid']."' value='".$datarray['customastdb']."'></td>";
                echo "<td><input type=text name='spyoptions_".$datarray['devid']."' value='".$datarray['spyoptions']."'></td>";
                echo "<td><input type=text name='external_".$datarray['devid']."' value='".$datarray['external']."'></td>";
            } else if($key=="trunks") {
                if (eregi("dahdi",$datarray['customastdb']) or eregi("zap",$datarray['customastdb'])) {
                    echo "<td colspan=2>";
                    echo _("Zap/Dahdi Channels (Eg: 1-24)");
                    echo "</td><td><input type=text name='email_".$datarray['devid']."' value='".$datarray['email']."'></td>";
                    echo "<td colspan=1>&nbsp;</td><td>&nbsp;</td>";
                } else {
                    echo "<td colspan=2>&nbsp</td>";
                    echo "<td><input type=text name='channel_".$datarray['devid']."' value='".$datarray['channel']."'></td>";
                    echo "<td colspan=1>&nbsp</td><td>&nbsp;</td>";
                }

            } else {
                echo "<td colspan=4>&nbsp;</td><td>&nbsp;</td>";
            }
            echo "</tr>";
        }
    }
}

?>
    <tr>
        <td colspan="9"><br><h6><input name="Submit" type="submit" value="<?php echo _("Submit Changes")?>" onclick="document.edit.submit(); return false;"></h6></td>
    </tr>

    <tr>
        <td colspan="4"><p><?php echo _("If you changed any extension names and want to reread them from the regular FreePBX config and update the FOP2 config, click ths button.");?></p></td>
        <td colspan="5"><input name="RefreshLabel" type="submit" value="<?php echo _("Refresh Labels")?>" onclick="document.edit.action.value='refresh'; document.edit.submit(); return false;"></td>
    </tr>
</table>
</form>
<script language="javascript">
<!--

function edit_onsubmit() {
    return true;
}

//-->
</script>

