<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="content-type" content="text/html; charset=utf-8" />
        <title>Flash Operator Panel 2</title>
        <link rel="stylesheet" type="text/css" href="css/fluid/reset.css" media="screen" />
        <link rel="stylesheet" type="text/css" href="css/fluid/text.css" media="screen" />
        <link rel="stylesheet" type="text/css" href="css/fluid/grid.css" media="screen" />
        <link rel="stylesheet" type="text/css" href="css/fluid/layout.css" media="screen" />
        <link rel="fluid-icon" type="image/png" href="images/telephone_128.png" />

        <link href="css/modalbox.css" rel="stylesheet" type="text/css"/>
        <link href="css/tooltips.css" rel="stylesheet" type="text/css"/>
        <link href="css/operator.css" rel="stylesheet" type="text/css"/>
        <link href="css/chat.css" rel="stylesheet" type="text/css"/>
        <link href="css/vmail.css" rel="stylesheet" type="text/css"/>

        <!--[if IE 6]><link rel="stylesheet" type="text/css" href="css/fluid/ie6.css" media="screen" /><![endif]-->
        <!--[if gte IE 7]><link rel="stylesheet" type="text/css" href="css/fluid/ie.css" media="screen" /><![endif]-->
        <script type="text/javascript" src="js/date.format.js"> </script>

        <script type="text/javascript" src="js/presence.js"> </script>

        <script type="text/javascript" src="js/swfobject.js"></script>
        <script type="text/javascript" src="js/prototype.js"></script>
        <script type="text/javascript" src="js/scriptaculous.js"></script>
        <script type="text/javascript" src="js/effects.js"></script>
        <script type="text/javascript" src="js/builder.js"></script>
        <script type="text/javascript" src="js/extend.js"> </script>
        <script type="text/javascript" src="js/tooltips.js"> </script>
        <script type="text/javascript" src="js/base64.js"> </script>
        <script type="text/javascript" src="js/md5.js"> </script>
        <script type="text/javascript" src="js/modalbox.js"> </script>
        <script type="text/javascript" src="js/proto.menu.0.6.js"> </script>
        <script type="text/javascript" src="js/deflate.js"> </script>
        <script type="text/javascript" src="js/growl.js"> </script>
        <script type="text/javascript" src="js/notifyLibJS.js"> </script>
        <script type="text/javascript" src="js/fop2.js"> </script>
        <script type="text/javascript" src="js/AutoComplete.js"> </script>
        <script type="text/javascript" src="js/niftyplayer.js"></script>
        <script type="text/javascript" src="js/stereotabs.js"></script>
        <script type="text/javascript" src="js/tinywav.js"></script>
        <script type="text/javascript" src="js/sprintf.js"></script>

    </head>
<body>

<audio id="audiotag1" src="audio/blip1.wav" autobuffer="autobuffer"></audio>
<audio id="audiotag2" src="audio/2up2.wav" autobuffer="autobuffer"></audio>
<audio id="audiotag3" src="audio/silkyalert.wav" autobuffer="autobuffer"></audio>
<audio id="audiotag4" src="audio/ring.wav" autobuffer="autobuffer"></audio>

<div id="head" style='display:none;'>
    <input type='text' style='display: none' name='usercontext'  id='usercontext' value=''>
    <input type='text' style='display: none' name='myextension'  id='myextension' value=''>
    <input type='text' style='display: none' name='securitycode' id='securitycode' value=''>
    <input type='text' style='display: none' name='extrainfotext' id='extrainfotext' value=''>
    <div id="actionbar"></div>
    <div class="pad1"></div>
    <div style='height: 45px; padding-top: 0px;'>
        <div style='float: left; padding-top: 10px;'>
            <span id='filtlabel'></span>: <input type="text" name="filtertext" id="filtertext" >
        </div>
        <div class="pad1"></div>
        <div style='float: left; padding-top: 10px;'>
            <span id='diallabel'></span>:
            <span class="ac_holder" >
                <input type="text" id="dialtext" name="dialtext" autocomplete="off"/>
            </span>
        </div>
        <div class="pad1"></div>
        <div style='float: left; padding-top: 10px;'>
            <select id='presence' name='presence' onChange='setState(this);'>
            </select>
        </div>
        <div class="pad1"></div>
        <div id='secondtoolbar'>
        </div>
    </div>
</div> <!-- end head div -->
<div id='container' style='display:none;'>
    <div class="pad2"></div>

    <div id='fatalerror'>
        <center>
            <h1 id='fatalmessage'></h1><br/>
            <img src='images/warning.gif' width=150 height=146 border=0 alt=warning><br/>
            <h3></h3>
        </center>
    </div>

    <div id='loader'>
        <center>
            <h1 id='loadermessage'></h1><br/>
            <img src='images/spinner.gif' width=50 height=50 border=0 alt=loading><br/><br/>
            <span id='descriptiveMessage'></span>
        </center>
    </div>

    <div class="container_16" id="allbuttons">

        <div class="grid_12">
            <div class="box" style='width:100%;' id='extensionbox'>
                <h2>
                    <a href="#" id="toggle-extensionlist" class='myclick visible'><span id='extensionstag'></span></a>
                </h2>
                <div class="block" id='extensionlist'></div>
            </div>
        </div>
        <div class="grid_4">

            <div class="box" style='width:100%; display:none;' id='asternicTagbox'>
                <h2>
                    <a href="#" id="clear-asternicTag" class='myclick visible' title='Clear Window'><span id='tagcall'>Tag Call</span></a>
                </h2>
                <div id='asternicTag' class="block"></div>
            </div>
 
            <div class="box" style='width:100%;' id='parkbox'>
                <h2>
                    <a href="#" id="toggle-parklist" class='myclick visible'><span id='parkstag'></span></a>
                </h2>
                <div id='parklist' class="block"></div>
            </div>
            <div class="box" style='width:100%;' id='queuebox'>
                <h2>
                    <a href="#" id="toggle-queuelist" class='myclick visible'><span id='queuestag'></span></a>
                </h2>
                <div id='queuelist' class="block"></div>
            </div>
            <div class="box" style='width:100%;' id='trunkbox'>
                <h2>
                    <a href="#" id="toggle-trunklist" class='myclick visible'><span id='trunkstag'></span></a>
                </h2>
                <div class="block" id='trunklist'></div>
            </div>
            <div class="box" style='width:100%;' id='conferencebox'>
                <h2>
                    <a href="#" id="toggle-conferencelist" class='myclick visible'><span id='conferencestag'></span></a>
                </h2>
                <div class="block" id='conferencelist'></div>
            </div>

        </div>
        <div class="clear"></div>
        <!--div class="grid_16" id='footer'></div-->
        <div class="clear"></div>
        <form id='mailform'></form>
   </div>

<div style='position:expression("absolute");' id='footer'></div>

<div id="vmailcontainer" style='display:none;'>
<ul id="tabnav">
  <li><a href="javascript:void(0);" id="tab_INBOX" class="tab"><span id='vmail_new'>New</span></a></li>
  <li><a href="javascript:void(0);" id="tab_Old" class="tab"><span id='vmail_old'>Old</span></a></li>
  <li><a href="javascript:void(0);" id="tab_Work" class="tab"><span id='vmail_work'>Work</span></a></li>
  <li><a href="javascript:void(0);" id="tab_Family" class="tab"><span id='vmail_family'>Family</span></a></li>
  <li><a href="javascript:void(0);" id="tab_Friends" class="tab"><span id='vmail_friends'>Friends</span></a></li>
  <div class="trashemptyicon" id='vmail_trash'></div>
</ul>
<div id="panel_INBOX" class="panel"></div>
<div id="panel_Old" class="panel"></div>
<div id="panel_Work" class="panel"></div>
<div id="panel_Family" class="panel"></div>
<div id="panel_Friends" class="panel"></div>
</div>

<div id="preferencePane" style='display:none;'>
<form id='preferences' class='preferences' onSubmit='return false;'>
<fieldset>
<legend id='prefSounds'></legend>
<div><label for='prefSoundChat' id='labelSoundChat'></label><input type='checkbox' name='prefSoundChat' id='prefSoundChat'></div>
<div><label for='prefSoundQueue' id='labelSoundQueue'></label><input type='checkbox' name='prefSoundQueue' id='prefSoundQueue'></div>
<div><label for='prefSoundRing' id='labelSoundRing'></label><input type='checkbox' name='prefSoundRing' id='prefSoundRing'></div>
</fieldset>
<fieldset>
<legend id='prefDisplay'></legend>
<div><label for='prefDisplayQueue' id='labelDisplayQueue'></label><select name='prefDisplayQueue' id='prefDisplayQueue'><option value='min'></option><option value='max'></select></div>
<div><label for='prefDisplayDynamicLine' id='labelDisplayDynamicLine'></label><input type='checkbox' name='prefDisplayDynamicLine' id='prefDisplayDynamicLine'></div>
<div><label for='prefDisplayNotifyDuration' id='labelDisplayNotifyDuration'></label><input type='text' class='text' name='prefDisplayNotifyDuration' id='prefDisplayNotifyDuration' value=''></div>
<div><label for='prefDisplayLanguage' id='labelDisplayLanguage'></label><input type='text' class='text' name='prefDisplayLanguage' id='prefDisplayLanguage' value=''></div>
</fieldset>
<br class='clear'/>
<input type=submit value='OK' onClick='Modalbox.hide();'>
</form>
</div>

<div id='confirmdialog' style='display:none;'>
<center>
<span id='areyousure'></span>
<br/>
<br/>
<input type='submit' name='yes' value='Yes' id='confirmyes' onclick='respuesta="yes"; debug("yes"); Modalbox.hide(); ' >
<input type='submit' name='no'  value='No'  id='confirmno'  onclick='respuesta="no"; Modalbox.hide()' >
</center>
</div>

</div>
<div id='flashconnector'><h1>Flash Player Required!</h1></div>
</body>
</html>
