<?php /* $Id */
//Copyright (C) 2009 Nicolas Gudino <asternic@gmail.com>
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of version 2 the GNU General Public
//License as published by the Free Software Foundation.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.


$action = isset($_REQUEST['action'])?$_REQUEST['action']:'';
$itemid = isset($_REQUEST['itemid'])?$_REQUEST['itemid']:'';
$dispnum = "fop2users"; 

$tabindex=0;

//if submitting form, update database
switch ($action) {
    case "add":
        $result = fop2_add_user($_POST);

        if (!$result) {
            die();
        }
        needreload();
        redirect_standard();
    break;
    case "delete":
        $oldItem = fop2_get_user($itemid);
        fop2_del_user($itemid);
        needreload();
        redirect_standard();
    break;
    case "edit":
        $result = fop2_edit_user($itemid,$_POST);
        if (!$result) {
            die();
        }
        needreload();
        redirect_standard('itemid');
    break;
}

$botonesdefinidos = fop2_list_botones();
$users            = fop2_list_users();

?>

</div> <!-- end content div so we can display rnav properly-->

<!-- right side menu -->
<div class="rnav"><ul>
    <li><a id="<?php echo ($itemid=='' ? 'current':'std') ?>" href="config.php?type=tool&display=<?php echo urlencode($dispnum)?>"><?php echo _("Add FOP2 User") ?></a></li>
<?php
if (isset($users)) {
    foreach ($users as $d) {
        echo "<li><a id=\"".($itemid==$d['id'] ? 'current':'std')."\" href=\"config.php?type=tool&display=".urlencode($dispnum)."&itemid=".urlencode($d['id'])."\">{$d['exten']}</a></li>";
    }
}
?>
</ul></div>

<div class="content">
<?php

if ($action == 'delete') {

    $str = sprintf("User %s deleted",$oldItem["exten"]);
    echo "<br/><h3>$str!</h3>";

} else { 

    $thisItem   = fop2_get_user($itemid);
    $hisGroups = fop2_get_user_groups($thisItem['exten']);
    $permisos_activos=ereg_replace(",","\n",$thisItem['permissions']);
    $delURL = $_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'].'&action=delete';


?>
    <h2><?php echo ($itemid ? _("Edit FOP2 User").": ".$thisItem["exten"] : _("Add FOP2 User")); ?></h2>
    <p><?php echo _("This module will let you manage FOP2 users and permissions, and also mark the groups the user will be able to view."); ?></p>
<?php
if ($itemid) { 
?>
    <p><a href="<?php echo $delURL ?>"><?php echo _("Delete FOP2 User")?> '<?php echo $thisItem["exten"]; ?>'</a></p>
<?php
}
?>
<form autocomplete="off" name="edit" action="<?php $_SERVER['PHP_SELF'] ?>" method="post" onsubmit="return edit_onsubmit();">
    <input type="hidden" name="type"     value="tool">
    <input type="hidden" name="display"  value="<?php echo $dispnum?>">
    <input type="hidden" name="action"   value="<?php echo ($itemid ? 'edit' : 'add') ?>">
    <input type="hidden" name="deptname" value="<?php echo $_SESSION["AMP_user"]->_deptname ?>">
    <table>
    <tr><td colspan="2"><h5><?php echo ($itemid ? _("Edit User") : _("Add User")) ?><hr></h5></td></tr>

    <tr>
        <td><a href="#" class="info"><?php echo _("Extension").":"?><span><?php echo _("The extension number for this user.")?></span></a></td>
        <td><input type="text" name="userid" tabindex="<?php echo ++$tabindex;?>" value="<?php echo htmlspecialchars(isset($thisItem['exten']) ? $thisItem['exten'] : fop2_getlastid()); ?>" <?php echo isset($thisItem['exten']) ? 'disabled' : '' ?></td>
    </tr>
    <tr>
        <td><a href="#" class="info"><?php echo _("Secret").":"?><span><?php echo _("The secret to login to fop2. If none specified the voicemail secret will be used.")?></span></a></td>
        <td><input type="text" name="secret" tabindex="<?php echo ++$tabindex;?>" value="<?php echo htmlspecialchars(isset($thisItem['secret']) ? $thisItem['secret'] : ''); ?>"></td>
    </tr>
    <!--tr>
        <td><a href="#" class="info"><?php echo _("Context"); ?><span><?php echo _("The contexts this user belongs to. If none specified it will use the default. Contexts let you create different panel views with a subset of extensions to show."); ?></span></a></td>
        <td><input id="context" type="text" name="context" value="<?php echo htmlspecialchars(isset($thisItem['context']) ? $thisItem['context'] : ''); ?>"></td>
    </tr-->
    <tr>
        <td valign="top"><a href="#" class="info"><?php echo _("Permissions") ?>:<span><?php echo _("Permissions let you specify what actions the user will be able to perform inside Fop2. For example, if you do not want to give the users the ability to listen to ongoing calls, do not select the spy or whisper permission.") ?><br><br></span></a></td>
        <td valign="top">
            <textarea id="permissions" cols="15" rows="10" name="permissions" tabindex="<?php echo ++$tabindex;?>"><?php echo $permisos_activos;?></textarea>
        </td>
    </tr>
    <tr>
        <td>
            <a href=# class="info"><?php echo _("Permission Quick Pick")?>
                <span>
                    <?php echo _("Choose the permission you want to grant to the user.")?>
                </span>
            </a>
        </td>

        <td>
            <select onChange="insertPermission();" id="insperm" tabindex="<?php echo ++$tabindex;?>">
                 <option value=""><?php echo _("(pick permission)")?></option>
                 <?php
                     $results = array( 'all', 'dial', 'hangup', 'hangupself', 'meetme', 'pickup', 'record', 'recordself', 'spy', 'transfer', 'transferexternal', 'whisper', 'queuemanager', 'queueagent', 'phonebook','chat','preferences','voicemailadmin');
                     foreach ($results as $result) {
                         echo "<option value='".$result."'>".$result."</option>\n";
                      }
                  ?>
            </select>
        </td>
    </tr>

<?php        
}
?>
    <tr>
        <td colspan="2">
       <br/><h5><?php echo  _("Allowed Groups")  ?><hr></h5><p><?php echo _("Select the groups you want the user to see in the panel. If no groups are selected the user will be able to see all buttons."); ?></p>
        </td>
    </tr>

    <tr>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td colspan=2>
            <table width='500'>

<?php

$groups           = fop2_list_groups();

if(!is_array($groups)) {
    $groups = Array();
}

foreach ($groups as $count => $datarray) {
    echo "<tr>";
    echo "<td>".$datarray['name']."</td>";
    echo "<td><input type=checkbox name='includebot[]' value='".$datarray['id']."'";

    if(in_array($datarray['id'],$hisGroups)) {
        echo " checked ";
    }

    echo"></td>";
    echo "</tr>";
}


?>
        </table>
        </td>
    </tr>
    <tr>
        <td colspan="2"><br><h6><input name="Submit" type="submit" value="<?php echo _("Submit Changes")?>"></h6></td>
    </tr>
    </table>
    </form>
<script language="javascript">
<!--

var theForm = document.edit;
theForm.userid.focus();

function checkAll() {
    field = document.edit;
    for (i = 0; i < field.length; i++) {
        field[i].checked = !field[i].checked;
    }
}

function insertPermission() {
    perm = document.getElementById('insperm').value;

    grpList=document.getElementById('permissions');
    if (grpList.value[ grpList.value.length - 1 ] == "\n") {
        grpList.value = grpList.value + perm;
    } else {
        grpList.value = grpList.value + '\n' + perm;
    }
    document.getElementById('insperm').value = '';
}

function edit_onsubmit() {
    var msgEmptyUserId = "<?php echo _('Please insert an extension number.')?>";
    var msgInvalidUserId = "<?php echo _('The extension must be numeric.')?>";

    if (isEmpty(theForm.userid.value)) {
        return warnInvalid(theForm.userid, msgEmptyUserId);
    }

    if (!isInteger(theForm.userid.value)) {
        return warnInvalid(theForm.userid, msgInvalidUserId);
    }

    return true;
}

//-->
</script>

